Subject: bug#18101: closed (Re: bug#18101: gccgo fails to build (all platforms))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Jul 2014 22:31:02 +0000

Your bug report

#18101: gccgo fails to build (all platforms)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18101: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18101
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18101: gccgo fails to build (all platforms)
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Thu, 31 Jul 2014 18:30:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> writes:

> At the very end of the builds for gccgo, there is an error:
>
>   cycle detected in the references of `/gnu/store/*-gccgo-4.8.3-lib'
>
> and that causes the build to fail.
>
> I wonder if this is fallout from when the gcc packages had their libs
> split into a different output.  Maybe the "lib" and "out" outputs of
> gccgo reference each other, and perhaps this is a problem?

I fixed this by suppressing the separate "lib" output in gccgo, commit
c4df90a594672042ae106730ab5ce07fe85cf46f.  Closing this bug.

      Mark

Subject: gccgo fails to build (all platforms)
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Thu, 24 Jul 2014 13:39:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

At the very end of the builds for gccgo, there is an error:

  cycle detected in the references of `/gnu/store/*-gccgo-4.8.3-lib'

and that causes the build to fail.

I wonder if this is fallout from when the gcc packages had their libs
split into a different output.  Maybe the "lib" and "out" outputs of
gccgo reference each other, and perhaps this is a problem?

     Mark